<?php
/**
 * @file
 * OM Extended Regions Info
 *
 * All these will be added during preprocess page
 *
 * Properties:
 *  id    - Region ID
 *  class - Region Classes, ex. 'row row-1 first', 'column column-1 last',
 *          These classes are automatically added, 'region region-region-name'
 *  inner - This will be added automatically, 
 *            <div id ="region-name-inner" class="region-inner">...
 *            </div><!-- /#region-name-inner -->
 *          0 for no inner div   
 *          1 to add inner div
 *
 * JS and CSS for each region
 *   If you have a particular js and css for each region
 *   just place them on /js and /css,
 *   and name them like the region name, 
 *   ex. your_theme/js/content.js or your_theme/css/content.css
 *
 */

function om_regions_get_info() {

  $regions['menu_bar'] = array(
    'id'    => 'menu-bar',
    'class' => 'row rows-3 row-3-1 row-1 first',
    'inner' => 0,
  );
  $regions['header_block'] = array(
    'id'    => 'header-block',
    'class' => 'row rows-3 row-3-1 row-1 first',
    'inner' => 0,
  ); 
  $regions['highlighted'] = array(
    'id'    => 'highlighted',
    'class' => 'row rows-5 row-5-3 row-3',
    'inner' => 1,
  ); 
  $regions['content'] = array(
    'id'    => 'content',
    'class' => 'row rows-5 row-5-1 row-1 first',
    'inner' => 1,
  ); 
  $regions['sidebar_first'] = array(
    'id'    => 'sidebar-first',
    'class' => 'column columns-3 column-3-1 column-1 first',
    'inner' => 1,
  ); 
  $regions['sidebar_second'] = array(
    'id'    => 'sidebar-second',
    'class' => 'column columns-3 column-3-2 column-2',
    'inner' => 0,
  ); 
  $regions['footer'] = array(
    'id'    => 'footer',
    'class' => 'row rows-2 row-2-1 row-1 first',
    'inner' => 1,
  ); 
  $regions['footer_message'] = array(
    'id'    => 'footer-message',
    'class' => 'row rows-2 row-2-2 row-2 last',
    'inner' => 1,
  );  
  return $regions;
}



